#ifndef HEADER_DH_H
#include <openssl/dh.h>
#endif
DH *get_dh512()
	{
	static unsigned char dh512_p[]={
		0xC7,0x05,0x61,0x32,0x44,0xAB,0x3A,0x52,0x2A,0x9E,0xA0,0xC9,
		0x88,0xEE,0xF7,0x1D,0xD6,0x1A,0x40,0x71,0x68,0x5F,0x36,0x32,
		0x26,0x33,0x34,0x04,0x54,0xA8,0xC5,0x2A,0x7D,0xDC,0x9A,0x62,
		0x7D,0x4A,0x83,0xF7,0x0E,0x87,0x1A,0x1F,0x58,0xDD,0x45,0xC2,
		0x1C,0x22,0x66,0x57,0x14,0x6C,0xB1,0x61,0xA1,0x10,0x56,0x54,
		0xF8,0x18,0x50,0x07,
		};
	static unsigned char dh512_g[]={
		0x05,
		};
	DH *dh;

	if ((dh=DH_new()) == NULL) return(NULL);
	dh->p=BN_bin2bn(dh512_p,sizeof(dh512_p),NULL);
	dh->g=BN_bin2bn(dh512_g,sizeof(dh512_g),NULL);
	if ((dh->p == NULL) || (dh->g == NULL))
		{ DH_free(dh); return(NULL); }
	return(dh);
	}
